Skip to main content
GET
Retrieve an incident update.

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Path Parameters

statusPageId
string
required
incidentId
string
required
incidentUpdateId
string
required

Response

Successful

description
string
required
status
enum<string>
required
Available options:
INVESTIGATING,
IDENTIFIED,
MONITORING,
RESOLVED
id
string
required
created_at
string<date>
required
publicIncidentUpdateDate
string<date-time>
default:2026-08-31T13:12:43.392Z

When the update is shown as posted. Defaults to now; cannot predate the incident.

notifySubscribers
boolean
default:false